<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.CommonRatingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.CommonRating">
        <id column="id" property="id" />
        <result column="business_type" property="businessType" />
        <result column="business_id" property="businessId" />
        <result column="user_id" property="userId" />
        <result column="content" property="content" />
        <result column="score" property="score" />
        <result column="other_score" property="otherScore" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler" />
        <result column="image_urls" property="imageUrls" />
        <result column="is_anonymous" property="isAnonymous" />
        <result column="is_show" property="isShow" />
        <result column="audit_status" property="auditStatus" />
        <result column="like_count" property="likeCount" />
        <result column="score_one" property="scoreOne" />
        <result column="score_two" property="scoreTwo" />
        <result column="score_three" property="scoreThree" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, business_type, business_id, user_id, content, score, other_score, image_urls,
        is_anonymous, is_show, audit_status, like_count, score_one, score_two, score_three,
        delete_flag, created_user_id, updated_time, updated_user_id
    </sql>

</mapper>

